| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# igeom/polymesh.h File Reference

Polygon mesh interfaces. More...

`#include "csutil/scf_interface.h"`

Go to the source code of this file.

## Classes
struct | csMeshedPolygon
| A polygon. More...
struct | iPolygonMesh
| This interface reprents a mesh of polygons. More...
## Flags for iPolygonMesh
enum | { CS_POLYMESH_CLOSED = 1, CS_POLYMESH_NOTCLOSED = 2, CS_POLYMESH_CONVEX = 4, CS_POLYMESH_NOTCONVEX = 8, CS_POLYMESH_DEFORMABLE = 16, CS_POLYMESH_TRIANGLEMESH = 32 }

## Detailed Description

Polygon mesh interfaces.

Definition in file polymesh.h.